<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Cryville.Common.Interop</name>
    </assembly>
    <members>
        <member name="T:Cryville.Common.Interop.LPUTF8StrMarshaler">
            <summary>
            Marshals a UTF-8 string to a .NET Framework string, and vice versa.
            </summary>
            <remarks>
            <para>This marshaler is used as a fallback as <c>UnmanagedType.LPUTF8Str</c> does not exist before .NET Framework 4.7.</para>
            </remarks>
        </member>
        <member name="M:Cryville.Common.Interop.LPUTF8StrMarshaler.GetInstance(System.String)">
            <summary>
            Returns an instance of the custom marshaler.
            </summary>
            <param name="cookie">String "cookie" parameter that can be used by the custom marshaler.</param>
            <returns>An instance of the custom marshaler.</returns>
        </member>
        <member name="M:Cryville.Common.Interop.LPUTF8StrMarshaler.CleanUpManagedData(System.Object)">
            <inheritdoc />
        </member>
        <member name="M:Cryville.Common.Interop.LPUTF8StrMarshaler.CleanUpNativeData(System.IntPtr)">
            <inheritdoc />
        </member>
        <member name="M:Cryville.Common.Interop.LPUTF8StrMarshaler.GetNativeDataSize">
            <inheritdoc />
        </member>
        <member name="M:Cryville.Common.Interop.LPUTF8StrMarshaler.MarshalManagedToNative(System.Object)">
            <inheritdoc />
        </member>
        <member name="M:Cryville.Common.Interop.LPUTF8StrMarshaler.MarshalNativeToManaged(System.IntPtr)">
            <inheritdoc />
        </member>
        <member name="T:Cryville.Common.Interop.MonoPInvokeCallbackAttribute">
            <summary>
            Attribute used to annotate functions that will be called back from the unmanaged world.
            </summary>
        </member>
    </members>
</doc>
